import request from '@/utils/request'

// 查询生活缴费账单列表
export function listLiveBill(query) {
  return request({
    url: '/business/liveBill/list',
    method: 'get',
    params: query
  })
}

// 查询生活缴费账单详细
export function getLiveBill(billId) {
  return request({
    url: '/business/liveBill/' + billId,
    method: 'get'
  })
}

// 新增生活缴费账单
export function addLiveBill(data) {
  return request({
    url: '/business/liveBill',
    method: 'post',
    data: data
  })
}

// 修改生活缴费账单
export function updateLiveBill(data) {
  return request({
    url: '/business/liveBill',
    method: 'put',
    data: data
  })
}

// 删除生活缴费账单
export function delLiveBill(billId) {
  return request({
    url: '/business/liveBill/' + billId,
    method: 'delete'
  })
}

// 确认待缴账单已缴纳
export function confirmLiveBill(billId) {
  return request({
    url: '/business/liveBill/confirm/' + billId,
    method: 'put'
  })
}
